package com.example.hangry;

import org.springframework.stereotype.Service;

@Service
public class UserService {

    private final UserRepository userRepository;

    // Dependency Injection (Spring kümmert sich darum)
    public UserService(UserRepository userRepository) {
        this.userRepository = userRepository;
    }

    // Einen neuen Benutzer erstellen
    public User createUser(User user) {
        return userRepository.save(user);
    }

    // Benutzer anhand des Benutzernamens suchen
    public User getUserByUsername(String username) {
        return userRepository.findByUsername(username);
    }

    // Benutzer anhand der E-Mail suchen
    public User getUserByEmail(String email) {
        return userRepository.findByEmail(email);
    }
}
